librime: rime::StableDb Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::StableDb Class Reference

`#include <table_db.h>`

Inheritance diagram for rime::StableDb:
[legend]
Collaboration diagram for rime::StableDb:
[legend]

## Public Member Functions
| StableDb (const path &file_path, const string &db_name)
virtual bool | Open ()
Public Member Functions inherited from rime::TableDb
| TableDb (const path &file_path, const string &db_name)
Public Member Functions inherited from rime::TextDb
| TextDb (const path &file_path, const string &db_name, const string &db_type, TextFormat format)
virtual RIME_DLL | ~TextDb ()
RIME_DLL bool | Open () override
RIME_DLL bool | OpenReadOnly () override
RIME_DLL bool | Close () override
RIME_DLL bool | Backup (const path &snapshot_file) override
RIME_DLL bool | Restore (const path &snapshot_file) override
RIME_DLL bool | CreateMetadata () override
RIME_DLL bool | MetaFetch (const string &key, string *value) override
RIME_DLL bool | MetaUpdate (const string &key, const string &value) override
RIME_DLL an< DbAccessor > | QueryMetadata () override
RIME_DLL an< DbAccessor > | QueryAll () override
RIME_DLL an< DbAccessor > | Query (const string &key) override
RIME_DLL bool | Fetch (const string &key, string *value) override
RIME_DLL bool | Update (const string &key, const string &value) override
RIME_DLL bool | Erase (const string &key) override
Public Member Functions inherited from rime::Db
| Db (const path &file_path, const string &name)
virtual | ~Db ()=default
RIME_DLL bool | Exists () const
virtual RIME_DLL bool | Remove ()
const string & | name () const
const path & | file_path () const
bool | loaded () const
bool | readonly () const
bool | disabled () const
void | disable ()
void | enable ()

## Additional Inherited Members
Public Types inherited from rime::Class< Db, const string & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Db, const string & >
static Component * | Require (const string &name)
Static Public Attributes inherited from rime::TableDb
static const TextFormat | format
Protected Member Functions inherited from rime::TextDb
void | Clear ()
bool | LoadFromFile (const path &file)
bool | SaveToFile (const path &file)
Protected Attributes inherited from rime::TextDb
string | db_type_
TextFormat | format_
TextDbData | metadata_
TextDbData | data_
bool | modified_ = false
Protected Attributes inherited from rime::Db
string | name_
path | file_path_
bool | loaded_ = false
bool | readonly_ = false
bool | disabled_ = false

## Constructor & Destructor Documentation

## ◆ StableDb()

rime::StableDb::StableDb | ( | const path & | file_path,
|  | const string & | db_name )

## Member Function Documentation

## ◆ Open()

bool rime::StableDb::Open | ( |  | ) |
| virtual

Implements rime::Db.

The documentation for this class was generated from the following files:

- table_db.h
- table_db.cc